module CBuildGems
  class Scanner < Build
    def initialize(config_yml)
      super(config_yml)

      @pkg_name = []
    end

    # Checks the system for packages needed as dependencies. It uses pkg-config
    # to do this.
    #
    # @return [Nil]
    def scan
      @pkg_config.each do |i|
        puts "checking for #{i}"
        @pkg_name.push(i)
      end

      @pkg_name.each do |i|
        Build.exec("pkg-config --print-errors --exists '#{i}'")
      end

      nil
    end
  end
end
